mysite/Models/letter.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace mysite.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class letter
    {
        public int IdLetter { get; set; }


        [Display(Name = "امضاکننده")]
        public string Confirmative { get; set; }

        [Display(Name = "نام بخش")]
        public string NamePart { get; set; }

        [Display(Name = "تاریخ ارسال")]
        public string SendDate { get; set; }
    }
}

mysite/Controllers/lettersController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Threading.Tasks;
using System.Net;
using System.Web;
using System.Web.Mvc;
using mysite.Models;

namespace mysite.Controllers
{
    [Authorize(Roles = "Admin")]
    public class lettersController : Controller
    {
        private DatabaseContextEntities db = new DatabaseContextEntities();

        // GET: letters
        //public async Task<ActionResult> Index()
        //{

        //    return View(await db.letters.ToListAsync());

        //  //  return View(await db.letters.ToListAsync());

        //    // var letters = db.letters.Include(l => l.person);
        //    //  return View(await db.projects.ToListAsync());
        //    //  return View(await db.letters.ToListAsync());

        //    //  return View(await db.letters.ToListAsync());
        //}

        public async Task<ActionResult> Index()
        {

            return View(await db.letters.ToListAsync());

        }

        // GET: letters/Details/5
        public async Task<ActionResult> Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            letter letter = await db.letters.FindAsync(id);
            if (letter == null)
            {
                return HttpNotFound();
            }
            return View(letter);
        }

        // GET: letters/Create
        public ActionResult Create()
        {
         //   ViewBag.myperson_IdPerson = new SelectList(db.persons, "IdPerson", "FirstName");
            return View();
        }

        // POST: letters/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> Create([Bind(Include = "IdLetter,Confirmative,NamePart,SendDate")] letter letter)
        {
            if (ModelState.IsValid)
            {
                int max;
                if (db.letters == null)
                    max = 0;
                else
                    max = db.letters.Max(p => p.IdLetter);

                letter.IdLetter = max + 1;
                    db.letters.Add(letter);
                await db.SaveChangesAsync();
                return RedirectToAction("Index");
            }

       //     ViewBag.myperson_IdPerson = new SelectList(db.persons, "IdPerson", "FirstName");
            return View(letter);
        }

        // GET: letters/Edit/5
        public async Task<ActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            letter letter = await db.letters.FindAsync(id);
            if (letter == null)
            {
                return HttpNotFound();
            }
      //      ViewBag.myperson_IdPerson = new SelectList(db.persons, "IdPerson", "FirstName");
            return View(letter);
        }

        // POST: letters/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> Edit([Bind(Include = "IdLetter,Confirmative,NamePart,SendDate")] letter letter)
        {
            if (ModelState.IsValid)
            {
                db.Entry(letter).State = EntityState.Modified;
                await db.SaveChangesAsync();
                return RedirectToAction("Index");
            }
           // ViewBag.myperson_IdPerson = new SelectList(db.persons, "IdPerson", "FirstName");
            return View(letter);
        }

        // GET: letters/Delete/5
        public async Task<ActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            letter letter = await db.letters.FindAsync(id);
            if (letter == null)
            {
                return HttpNotFound();
            }
            return View(letter);
        }

        // POST: letters/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> DeleteConfirmed(int id)
        {
            letter letter = await db.letters.FindAsync(id);
            db.letters.Remove(letter);
            await db.SaveChangesAsync();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

mysite/Views/letters/Create.cshtml
@model mysite.Models.letter

@{
    
    Layout = "~/Views/Shared/_layout2.cshtml";
}

<!DOCTYPE html>

<html>
<head>
 
    <title>Create</title>
    
</head>
<body>
    <script src="~/Scripts/jquery-1.10.2.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    
    
    @using (Html.BeginForm()) 
    {
        @Html.AntiForgeryToken()
        
        <div class="form-horizontal">
            <h4>ثبت نامه</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.Confirmative, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Confirmative, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                    @Html.ValidationMessageFor(model => model.Confirmative, "", new { @class = "text-danger" })
                </div>
            </div>
    
            <div class="form-group">
                @Html.LabelFor(model => model.NamePart, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.NamePart, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                    @Html.ValidationMessageFor(model => model.NamePart, "", new { @class = "text-danger" })
                </div>
            </div>
    
            <div class="form-group">
                @Html.LabelFor(model => model.SendDate, htmlAttributes: new { @class = "control-label col-md-2 " })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.SendDate, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                    @Html.ValidationMessageFor(model => model.SendDate, "", new { @class = "text-danger" })
                </div>
            </div>
    
        
    
            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="ثبت" class="btn btn-default" /> |
                    @Html.ActionLink("انصراف", "Index", "letters")
                </div>
       
                
            </div>
        </div>
    }
    
    
</body>
</html>

mysite/Views/letters/Delete.cshtml
@model mysite.Models.letter

@{
    ViewBag.Title = "Aboutus";
    Layout = "~/Views/Shared/_layout2.cshtml";
}

<!DOCTYPE html>

<html>
<head>
  
    <title>Delete</title>
  
</head>
<body>
    <h3>حذف نامه</h3>
    <div>
        <h4>برای ادامه تایید شود .</h4>
        <hr />
        <dl class="dl-horizontal">
            <dt>
                @Html.DisplayNameFor(model => model.Confirmative)
            </dt>
    
            <dd>
                @Html.DisplayFor(model => model.Confirmative)
            </dd>
    
            <dt>
                @Html.DisplayNameFor(model => model.NamePart)
            </dt>
    
            <dd>
                @Html.DisplayFor(model => model.NamePart)
            </dd>
    
            <dt>
                @Html.DisplayNameFor(model => model.SendDate)
            </dt>
    
            <dd>
                @Html.DisplayFor(model => model.SendDate)
            </dd>
    
           
    
        </dl>
    
        @using (Html.BeginForm()) {
            @Html.AntiForgeryToken()
    
            <div class="form-actions no-color">
                <input type="submit" value="حذف" class="btn btn-default" /> |
                @Html.ActionLink("انصراف", "Index","letters")
            </div>
        }
    </div>
</body>
</html>

mysite/Views/letters/Details.cshtml
@model mysite.Models.letter
@{
    ViewBag.Title = "Aboutus";
    Layout = "~/Views/Shared/_layout2.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <title>Details</title>
  

</head>
<body>
    <div>
        <h4>جزئیات</h4>
        <hr />
        <dl class="dl-horizontal">
            <dt>
                @Html.DisplayNameFor(model => model.Confirmative)
            </dt>
    
            <dd>
                @Html.DisplayFor(model => model.Confirmative)
            </dd>
    
            <dt>
                @Html.DisplayNameFor(model => model.NamePart)
            </dt>
    
            <dd>
                @Html.DisplayFor(model => model.NamePart)
            </dd>
    
            <dt>
                @Html.DisplayNameFor(model => model.SendDate)
            </dt>
    
            <dd>
                @Html.DisplayFor(model => model.SendDate)
            </dd>
    
          
    
        </dl>
    </div>
    <p>
        @Html.ActionLink("ویرایش", "Edit", new { id = Model.IdLetter }) |
@Html.ActionLink("بازگشت به لیست", "Index", "letters")
    </p>
</body>
</html>

mysite/Views/letters/Edit.cshtml
@model mysite.Models.letter

@{
    ViewBag.Title = "Aboutus";
    Layout = "~/Views/Shared/_layout2.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <title>Edit</title>
 
</head>
<body>
    <script src="~/Scripts/jquery-1.10.2.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    
    
    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        
        <div class="form-horizontal">
            <h4>ویرایش</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            @Html.HiddenFor(model => model.IdLetter)
    
            <div class="form-group">
                @Html.LabelFor(model => model.Confirmative, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Confirmative, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                    @Html.ValidationMessageFor(model => model.Confirmative, "", new { @class = "text-danger" })
                </div>
            </div>
    
            <div class="form-group">
                @Html.LabelFor(model => model.NamePart, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.NamePart, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                    @Html.ValidationMessageFor(model => model.NamePart, "", new { @class = "text-danger" })
                </div>
            </div>
    
            <div class="form-group">
                @Html.LabelFor(model => model.SendDate, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.SendDate, new { htmlAttributes = new { @class = "form-control col-md-2" } })
                    @Html.ValidationMessageFor(model => model.SendDate, "", new { @class = "text-danger" })
                </div>
            </div>
 
    
            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="ویرایش" class="btn btn-default" /> |
                    @Html.ActionLink("انصراف", "Index", "letters")
                </div>
            </div>
        </div>
    }
    
</body>
</html>

mysite/Views/letters/Index.cshtml
@model IEnumerable<mysite.Models.letter>

@{
    ViewBag.Title = "Aboutus";
    Layout = "~/Views/Shared/_layout2.cshtml";
}


    <div class="index">

        <table class="table table-striped table-bordered">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Confirmative)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.NamePart)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.SendDate)
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Confirmative)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.NamePart)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.SendDate)
                    </td>
              
                    <td>
                        @Html.ActionLink("ویرایش", "Edit", new { id = item.IdLetter }) |
                        @Html.ActionLink("جزئیات", "Details", new { id = item.IdLetter }) |
                        @Html.ActionLink("حذف", "Delete", new { id = item.IdLetter })
                    </td>
                </tr>
            }

        </table>

        <p>
            @Html.ActionLink("ثبت نامه جدید", "Create") |
            @Html.ActionLink("خروج", "AdminIndex", "Login")
        </p>
    </div>